version: '3.7'
services:
  database:
    image: registry.gitlab.com/openstapps/openstapps/database:2.0.0
    volumes:
      - ./database:/usr/share/elasticsearch/data
    expose:
      - "9200"
    restart: unless-stopped

  backend:
    image: registry.gitlab.com/openstapps/openstapps/backend:3.0.0-next.0
    environment:
      ES_ADDR: "http://database:9200"
      NODE_CONFIG_ENV: "elasticsearch"
      ALLOW_NO_TRANSPORT: "true"
    expose:
      - 3000
    ports:
      - 3000:3000
    links:
      - "database"
    labels:
      - stapps.version=1.0.0
    restart: unless-stopped
    depends_on:
      - database

  api:
    image: registry.gitlab.com/openstapps/openstapps/api:3.0.0-next.0
    links:
      - "backend"

  minimal-connector:
    image: registry.gitlab.com/openstapps/minimal-connector:core-0.23
    container_name: minimal-connector-0.23
    command: ["http://backend:3000", "minimal-connector", "f-u"]

  app:
    image: registry.gitlab.com/openstapps/app/executable:core-0.23
    expose:
      - 8100
    ports:
      - 8100:8100
